### R code from vignette source 'opair_tutorial.Rnw'

###################################################
### code chunk number 1: Initialize
###################################################
## Change options:
op <- options() ## To be able to reset settings
options("SweaveHooks" = list(fig=function()
        par(mar=c(4,4,.5,0)+.5)))
options(prompt = "R> ", continue = "+  ", width = 80,
        useFancyQuotes = FALSE)


###################################################
### code chunk number 2: opair_tutorial.Rnw:65-66
###################################################
library(opair)


###################################################
### code chunk number 3: opair_tutorial.Rnw:77-78 (eval = FALSE)
###################################################
## install.packages("opair")


###################################################
### code chunk number 4: opair_tutorial.Rnw:92-93
###################################################
args(opair)


###################################################
### code chunk number 5: opair_tutorial.Rnw:108-109
###################################################
head(NV)


###################################################
### code chunk number 6: opair_tutorial.Rnw:123-124
###################################################
str(NV)


###################################################
### code chunk number 7: opair_tutorial.Rnw:140-141
###################################################
thick <- NV["Thickness"]


###################################################
### code chunk number 8: opair_tutorial.Rnw:144-145
###################################################
head(thick)


###################################################
### code chunk number 9: opair_tutorial.Rnw:148-150
###################################################
opair(descriptors=thick, products=NV$Samples, d.equiv=0.5,
      conf.level=0.95)


###################################################
### code chunk number 10: opair_tutorial.Rnw:167-168
###################################################
opair(thick, NV$Samples)


###################################################
### code chunk number 11: opair_tutorial.Rnw:172-173
###################################################
opair(NV["Thickness"], NV$Samples)


###################################################
### code chunk number 12: opair_tutorial.Rnw:184-185
###################################################
opair(NV[c("Thickness", "Sweetness")], NV$Samples)


###################################################
### code chunk number 13: opair_tutorial.Rnw:191-193
###################################################
(desc.names <- names(NV)[4:ncol(NV)])
opair(NV[desc.names], NV$Samples)


###################################################
### code chunk number 14: opair_tutorial.Rnw:202-203
###################################################
opair(NV[desc.names[2]], NV$Samples, abbreviate.names=TRUE)


###################################################
### code chunk number 15: opair_tutorial.Rnw:206-207
###################################################
opair(NV[desc.names[2]], NV$Samples, abbrev=TRUE)


###################################################
### code chunk number 16: opair_tutorial.Rnw:220-221
###################################################
fit <- opair(NV[desc.names], NV$Samples)


###################################################
### code chunk number 17: opair_tutorial.Rnw:224-225
###################################################
fit


###################################################
### code chunk number 18: dotplot
###################################################
getOption("SweaveHooks")[["fig"]]()
plot(fit, type=1)


###################################################
### code chunk number 19: dotplotFig
###################################################
getOption("SweaveHooks")[["fig"]]()
plot(fit, type=1)


###################################################
### code chunk number 20: barplot
###################################################
getOption("SweaveHooks")[["fig"]]()
plot(fit, type=2)


###################################################
### code chunk number 21: bartplotFig
###################################################
getOption("SweaveHooks")[["fig"]]()
plot(fit, type=2)


###################################################
### code chunk number 22: opair_tutorial.Rnw:271-272 (eval = FALSE)
###################################################
## save.opair(fit, "myDprimes")


###################################################
### code chunk number 23: opair_tutorial.Rnw:277-278 (eval = FALSE)
###################################################
## getwd()


###################################################
### code chunk number 24: opair_tutorial.Rnw:285-286 (eval = FALSE)
###################################################
## save.opair(fit, "myDprimes", sep=";", dec=".")


###################################################
### code chunk number 25: opair_tutorial.Rnw:297-298 (eval = FALSE)
###################################################
## save.opair(fit, "C:/myDprimes")


###################################################
### code chunk number 26: opair_tutorial.Rnw:317-318 (eval = FALSE)
###################################################
## myData <- read.table("myData", header=TRUE, sep=",")


###################################################
### code chunk number 27: opair_tutorial.Rnw:324-325 (eval = FALSE)
###################################################
## write.table(NV, file="NV.csv", row.names=FALSE)


###################################################
### code chunk number 28: opair_tutorial.Rnw:335-336
###################################################
sessionInfo()


###################################################
### code chunk number 29: misc (eval = FALSE)
###################################################
## 


